Bug 1000025 - tuna - listing threads using -CP ends with traceback
tuna - listing threads using -CP ends with traceback
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuna (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: John Kacur
IDM QE LIST
:
Depends On: 997536
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-22 10:04 EDT by John Kacur
Modified: 2014-07-31 11:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 997536
Environment:
Last Closed: 2014-07-31 11:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Kacur 2013-08-22 10:04:55 EDT
+++ This bug was initially created as a clone of Bug #997536 +++

Description of problem:
when listing threads using -CP tuna ends with traceback.

Version-Release number of selected component (if applicable):
tuna-0.11+

How reproducible:
always

Steps to Reproduce:
1. sudo tuna -CP
2. check output

Actual results:
# tuna -CP
...
Traceback (most recent call last):
  File "/bin/tuna", line 647, in <module>
    main()
  File "/bin/tuna", line 542, in main
    kthreads, affect_children, show_sockets, cgroups)
  File "/bin/tuna", line 310, in do_ps
    has_ctxt_switch_info, sock_inodes, sock_inode_re, cgroups)
  File "/bin/tuna", line 275, in ps_show
    sock_inode_re, cgroups)
  File "/bin/tuna", line 230, in ps_show_thread
    sock_inodes, sock_inode_re)
TypeError: ps_show_thread() takes exactly 7 arguments (6 given)

Expected results:
no traceback

Additional info:
Comment 2 Guy Streeter 2014-02-27 11:23:36 EST
Upstream commit

commit a97f70eb407f3ec2972740ca5ab976f5f06ce0bb
Author: Petr Oros <poros@redhat.com>
Date:   Thu Aug 15 11:15:45 2013 +0200

    CLI: fix ps_show_thread call with bad args count
    
    Signed-off-by: Petr Oros <poros@redhat.com>

diff --git a/tuna-cmd.py b/tuna-cmd.py
index 64e3ad1..5dcc181 100755
--- a/tuna-cmd.py
+++ b/tuna-cmd.py
@@ -227,7 +227,7 @@ def ps_show_thread(pid, affect_children, ps,
                for tid in ps[pid]["threads"].keys():
                        ps_show_thread(tid, False, ps[pid]["threads"],
                                       has_ctxt_switch_info,
-                                      sock_inodes, sock_inode_re)
+                                      sock_inodes, sock_inode_re, cgroups)
                        
 
 def ps_show(ps, affect_children, thread_list, cpu_list,
Comment 3 John Kacur 2014-03-11 07:56:40 EDT
This was fixed in 0.11-3, currently at 0.11.1-5

Note You need to log in before you can comment on or make changes to this bug.